Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005682 [JEDI VCL] 00 JVCL Components minor sometimes 2011-10-14 06:58 2012-09-10 14:15
Reporter sound_effects View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005682: JvStringGrid's OnCaptionClick sometimes fires even for column-resizing clicks
Description It seems that JvStringGrid's OnCaptionClick sometimes fires when the user clicks between the columns to resize them.

Perhaps this should be considered more of a suggestion than a bug. I need OnCaptionClick to respond only to the "interior" caption clicks and ignore the caption edge clicks for column resizing.

As a workaround, I submit the attached patch. This exposes GridState as a property, giving OnCaptionClick a means to distinguish column-resizing clicks from interior clicks:

procedure TForm1.JvStringGrid1CaptionClick(Sender: TJvStringGrid;
  AColumn, ARow: Integer);
begin
  if Sender.GridState = gsColSizing then
    Exit;
    
  // Do something only when the caption gets an interior click...
end;



Additional Information Using RAD Studio 2009 on Vista 32-bit and Windows 7 64-bit.

I have not tested this patch with any versions of Delphi prior to 2009.
Tags No tags attached.
Attached Files ? file icon ExposeJvStringGridState.patch [^] (1,198 bytes) 2011-10-14 06:58

- Relationships

-  Notes
(0019535)
obones (administrator)
2012-02-24 15:12

Too problematic to actually solve, I have made GridState public as suggested

- Issue History
Date Modified Username Field Change
2011-10-14 06:58 sound_effects New Issue
2011-10-14 06:58 sound_effects File Added: ExposeJvStringGridState.patch
2011-10-14 07:00 sound_effects Issue Monitored: sound_effects
2012-02-22 14:38 obones Status new => acknowledged
2012-02-24 15:12 obones Note Added: 0019535
2012-02-24 15:12 obones Status acknowledged => resolved
2012-02-24 15:12 obones Fixed in Version => Daily / SVN
2012-02-24 15:12 obones Resolution open => fixed
2012-02-24 15:12 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker